diff --git a/src/libxsmm.c b/src/libxsmm.c
index 9a72129970..d8f8242149 100644
--- a/src/libxsmm.c
+++ b/src/libxsmm.c
@@ -1126,7 +1126,22 @@ LIBXSMM_API_DEFINITION void LIBXSMM_FSYMBOL(__real_sgemm)(
   const float* b, const libxsmm_blasint* ldb,
   const float* beta, float* c, const libxsmm_blasint* ldc)
 {
-  sgemm_(transa, transb, m, n, k, alpha, a, lda, b, ldb, beta, c, ldc);
+  static LIBXSMM_RETARGETABLE libxsmm_sgemm_function instance = LIBXSMM_FSYMBOL(sgemm);
+#if !defined(NDEBUG)
+  if (0 != instance)
+#endif
+  {
+    instance(transa, transb, m, n, k, alpha, a, lda, b, ldb, beta, c, ldc);
+  }
+#if !defined(NDEBUG) /* library code is expected to be mute */
+  else {
+    static LIBXSMM_TLS int error_blas = 0;
+    if (0 == error_blas) {
+      fprintf(stderr, "LIBXSMM: application must be linked against a LAPACK/BLAS implementation!\n");
+      error_blas = 1;
+    }
+  }
+#endif
 }
 
 
@@ -1137,7 +1152,22 @@ LIBXSMM_API_DEFINITION void LIBXSMM_FSYMBOL(__real_dgemm)(
   const double* b, const libxsmm_blasint* ldb,
   const double* beta, double* c, const libxsmm_blasint* ldc)
 {
-  dgemm_(transa, transb, m, n, k, alpha, a, lda, b, ldb, beta, c, ldc);
+  static LIBXSMM_RETARGETABLE libxsmm_dgemm_function instance = LIBXSMM_FSYMBOL(dgemm);
+#if !defined(NDEBUG)
+  if (0 != instance)
+#endif
+  {
+    instance(transa, transb, m, n, k, alpha, a, lda, b, ldb, beta, c, ldc);
+  }
+#if !defined(NDEBUG) /* library code is expected to be mute */
+  else {
+    static LIBXSMM_TLS int error_blas = 0;
+    if (0 == error_blas) {
+      fprintf(stderr, "LIBXSMM: application must be linked against a LAPACK/BLAS implementation!\n");
+      error_blas = 1;
+    }
+  }
+#endif
 }
 
 #endif /*defined(__STATIC)*/
diff --git a/tests/test.sh b/tests/test.sh
index ff3cc0c6d0..3d48e01798 100755
--- a/tests/test.sh
+++ b/tests/test.sh
@@ -5,6 +5,7 @@ ECHO=$(which echo)
 GREP=$(which grep)
 ENV=$(which env)
 
+NOBLAS="descriptor dispatch"
 #DISABLED="headeronly"
 
 if [ "Windows_NT" = "${OS}" ]; then
@@ -70,3 +71,12 @@ for TEST in ${TESTS} ; do
   NTEST=$((NTEST+1))
 done
 
+# Workaround for ICE in ipa-visibility.c (at least GCC 5.4.0/Cygwin)
+WORKAROUND="DBG=0"
+
+# selected build-only tests that do not run anything
+# below case do not actually depend on LAPACK/BLAS
+for TEST in ${NOBLAS} ; do
+  make ${WORKAROUND} BLAS=0 STATIC=0 ${TEST}
+  make ${WORKAROUND} BLAS=0 ${TEST}
+done
diff --git a/version.txt b/version.txt
index be969e1948..e12f9b82ac 100644
--- a/version.txt
+++ b/version.txt
@@ -1 +1 @@
-master-1.4.3-258
+master-1.4.3-259
